# f3_test
function f3dim(f,x1,x2,Nx,y1,y2,Ny)
tx=linspace(x1,x2,Nx);
ty=linspace(y1,y2,Ny); 
[xx,yy]=meshgrid(tx,ty);
xx(1,:)
yy(:,1)
w=zeros(Nx,Ny);
for i=1:Nx
  for j=1:Ny
    x(0)=xx(1,i)
    x(1)=yy(j,1)
  endfor
endfor
endfunction